package com.massa.mrules.demos.insurance.model;

import java.math.BigDecimal;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * Business data: price description.
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper=false)
@ToString
public class Price {
	private BigDecimal base;
	private BigDecimal markup;
	private BigDecimal applied;
}
