package com.massa.mrules.demos.insurance;

import com.massa.mrules.demos.insurance.model.Contract;
import com.massa.mrules.demos.insurance.model.Customer;
import com.massa.mrules.demos.insurance.model.Price;
import com.massa.mrules.exception.IMRulesException;

import lombok.Getter;
import lombok.Setter;

/**
 * Represents a test Dataset for JSON loading.
 */
@Getter
@Setter
public class DemoInsuranceDataset {
	private Customer customer;
	private Contract contract;

	private Price expectedPrice;
	private ExceptionDesc expectedException;

	@Getter
	@Setter
	public static final class ExceptionDesc {
		private String code;
		private String message;
		private Class<? extends IMRulesException> type;
	}
}
