package com.massa.mrules.demos.insurance.batch.components;

import java.util.List;

import org.springframework.batch.item.ItemWriter;

/**
 * Outputs result to System out.
 */
public class DemoInsuranceWriter implements ItemWriter<DemoInsuranceResult> {
	@Override
	public void write(List<? extends DemoInsuranceResult> items) throws Exception {
		for (DemoInsuranceResult item: items) {
			System.out.println(item.hasError() ? "  -  error: " + item.getError() : "  -  price: " + item.getPrice());
		}
	}
}