package com.massa.mrules.demos.insurance.batch.components;

import com.massa.mrules.demos.insurance.model.Contract;
import com.massa.mrules.demos.insurance.model.Customer;
import com.massa.mrules.demos.insurance.model.Parameters;

import lombok.Getter;
import lombok.Setter;

/**
 * Represents a test Dataset for JSON loading.
 */
@Getter
@Setter
public class DemoInsuranceDataset {
	private MockParameters parameters;
	
	private Customer customer;
	private Contract contract;
	
	@Getter
	@Setter
	public static final class MockParameters implements Parameters {
		int majorityAge;
		int elderlyAge;
	}
}
